# add_POT.pl

## NAME

csg_call table add - Part of the VOTCA package

## SYNOPSIS

csg_call table add [OPTIONS]

csg_call table add [–help]

Usage: csg_call [OPTIONS] table add infile1 infile2 outfile

## DESCRIPTION

This script adds up two potentials In addition, it does some magic tricks: + order of infiles MATTERS !!!! + if infile2 contains an undefined value, it uses the value from infile1 + if value for infile1 and infile2 are both invalid, the result is also invalid

# add_pot_generic.sh

## NAME

csg_call add_pot ibi - Part of the VOTCA package

## SYNOPSIS

csg_call add_pot ibi [OPTIONS]

csg_call add_pot ibi [–help]

Usage: csg_call [OPTIONS] add_pot ibi

## DESCRIPTION

This script adds up the tables

# calc_density_generic.sh

## NAME

csg_call density gromacs - Part of the VOTCA package

## SYNOPSIS

csg_call density gromacs [OPTIONS]

csg_call density gromacs [–help]

Usage: csg_call [OPTIONS] density gromacs outputfile csg_density_options

## DESCRIPTION

This script calcs the density using csg_density

# calc_kbint.sh

## NAME

csg_call calc kbint - Part of the VOTCA package

## SYNOPSIS

csg_call calc kbint [OPTIONS]

csg_call calc kbint [–help]

Usage: csg_call [OPTIONS] calc kbint [options] infile outfile

## DESCRIPTION

This script calculates the Kirkwood-Buff integral out of the rdf

## OPTIONS

    Allowed options:

        --help                    show this help
        --clean                   remove all intermediate temp files

# calc_pressure_gromacs.sh

## NAME

csg_call pressure gromacs - Part of the VOTCA package

## SYNOPSIS

csg_call pressure gromacs [OPTIONS]

csg_call pressure gromacs [–help]

Usage: csg_call [OPTIONS] pressure gromacs outfile

## DESCRIPTION

This script calcs the pressure for gromacs and writes it to outfile

Used external packages: gromacs

# calc_pressure_lammps.sh

## NAME

csg_call pressure lammps - Part of the VOTCA package

## SYNOPSIS

csg_call pressure lammps [OPTIONS]

csg_call pressure lammps [–help]

Usage: csg_call [OPTIONS] pressure lammps outfile

## DESCRIPTION

This script calcs the pressure for lammps and writes it to outfile

Used external packages: lammps

# calc_rdf_generic.sh

## NAME

csg_call rdf_incl_intra generic - Part of the VOTCA package

## SYNOPSIS

csg_call rdf_incl_intra generic [OPTIONS]

csg_call rdf_incl_intra generic [–help]

Usage: csg_call [OPTIONS] rdf_incl_intra generic [–help] [–include-intra]

## DESCRIPTION

using generic csg tools (csg_stat)

With –include-intra intramolecular interactions are included and the distributions are saved as .dist-incl.new.

# calc_target_rdf_generic.sh

## NAME

csg_call calc target_rdf - Part of the VOTCA package

## SYNOPSIS

csg_call calc target_rdf [OPTIONS]

csg_call calc target_rdf [–help]

Usage: csg_call [OPTIONS] calc target_rdf

## DESCRIPTION

This script calculated reference rdf using generic csg_stat

# check_csg_xml.py

## NAME

csg_call check csg_xml - Part of the VOTCA package

## SYNOPSIS

csg_call check csg_xml [OPTIONS]

csg_call check csg_xml [–help]

## DESCRIPTION

Check the csg XML file for invalid tags. It works by comparing to the tags in the default XML file.

## OPTIONS

    positional arguments:

      csg_xml_file          csg XML file
      csg_xml_defaults_file
                            csg XML defaults file

    options:

      -h, --help            show this help message and exit

# clean_generic.sh

## NAME

csg_call clean gromacs - Part of the VOTCA package

## SYNOPSIS

csg_call clean gromacs [OPTIONS]

csg_call clean gromacs [–help]

Usage: csg_call [OPTIONS] clean gromacs

## DESCRIPTION

This script cleans up after a simulation step

# cma_processor.py

## NAME

csg_call cma precede_state - Part of the VOTCA package

## SYNOPSIS

csg_call cma precede_state [OPTIONS]

csg_call cma precede_state [–help]

Usage: %prog [options] statefile-in statefile-out

## DESCRIPTION

## OPTIONS

    options:

      -h, --help  show this help message and exit
      --eps EPS   tolerance for initialization

# convergence_check_default.sh

## NAME

csg_call convergence_check default - Part of the VOTCA package

## SYNOPSIS

csg_call convergence_check default [OPTIONS]

csg_call convergence_check default [–help]

Usage: csg_call [OPTIONS] convergence_check default

## DESCRIPTION

Calculated the sum of all convergence files and create a file ‘stop’ if the sum is bigger than a given limit

# dist_adjust.pl

## NAME

csg_call dist adjust - Part of the VOTCA package

## SYNOPSIS

csg_call dist adjust [OPTIONS]

csg_call dist adjust [–help]

Usage: csg_call [OPTIONS] dist adjust [OPTIONS] <in> <out>

## DESCRIPTION

This script adjusts a distribution in such a way that value smaller 0 will be replaces with 0.

## EXAMPLES

    * dist_adjust.pl CG-CG.dist.tmp CG-CG.dist.new

## OPTIONS

    Allowed options:

    -h, --help            Show this help message

# dist_boltzmann_invert.pl

## NAME

csg_call dist invert - Part of the VOTCA package

## SYNOPSIS

csg_call dist invert [OPTIONS]

csg_call dist invert [–help]

Usage: csg_call [OPTIONS] dist invert [OPTIONS] <in> <out>

## DESCRIPTION

Boltzmann inverts a distribution (‘’$F(x)=-k_B T\ln g(x)$’’)

In addtion, it does some magic tricks: - do not crash when calc log(0) - choose the right normalization depending on the type of interaction - input dist should be unnormalized (like csg_stat calcs it)

## EXAMPLES

    * dist_boltzmann_invert.pl --kbT 2.49435 --min 0.001 tmp.dist tmp.pot

## OPTIONS

    Allowed options:

        --kbT NUMBER      use NUMBER as ''$k_B*T$'' for the entropic part
        --type XXX        change the type of interaction
                          Default: non-bonded
        --min XXX         minimum value to consider
                          Default: 1e-10
    -h, --help            Show this help message

    Possible types: non-bonded, bond, angle, dihedral

# dummy.sh

## NAME

csg_call dummy dummy - Part of the VOTCA package

## SYNOPSIS

csg_call dummy dummy [OPTIONS]

csg_call dummy dummy [–help]

Usage: csg_call [OPTIONS] dummy dummy

## DESCRIPTION

dummy script (does nothing), useful to overwrite default by nothing

# functions_common.sh

## NAME

csg_call functions common - Part of the VOTCA package

## SYNOPSIS

csg_call functions common [OPTIONS]

csg_call functions common [–help]

## DESCRIPTION

This file defines some commonly used functions:

- msg – echos a msg on the screen and send it to the logfile if logging is enabled

- show_callstack – show the current callstack

- die – make the iterative frame work stopp

- cat_external – takes a two tags and shows content of the according script

- do_external – takes two tags, find the according script and excute it

- critical – executes arguments as command and calls die if not succesful

- csg_get_interaction_property – gets an interaction property from the xml file, should only be called from inside a for_all loop or with –all option

- csg_get_property – get an property from the xml file

- trim_all – make multiple lines into one and strip white space from beginning and the end, reads from stdin

- mark_done – mark a task (1st argument) as done in the restart file

- is_done – checks if something is already do in the restart file

- is_int – checks if all arguments are integers

- to_int – convert all given numbers to int using awk’s int function

- is_part – checks if 1st argument is part of the set given by other arguments

- has_duplicate – check if one of the arguments is double

- remove_duplicate – remove duplicates list of arguments

- is_num – checks if all arguments are numbers

- get_stepname – get the dir name of a certain step number (1st argument)

- get_current_step_dir – print the directory of the current step

- get_last_step_dir – print the directory of the last step

- get_main_dir – print the main directory

- get_current_step_nr – print the main directory

- get_step_nr – print the number of a certain step directory (1st argument)

- cp_from_main_dir – copy something from the main directory

- cp_from_last_step – copy something from the last step

- get_time – gives back current time in sec from 1970

- get_number_tasks – get the number of possible tasks from the xml file or determine it automatically under some systems

- get_table_comment – get comment lines from a table and add common information, which include the git id and other information

- csg_inverse_clean – clean out the main directory

- check_path_variable – check if a variable contains only valid paths

- add_to_csgshare – added an directory to the csg internal search directories

- globalize_dir – convert a local directory to a global one

- globalize_file – convert a local file name to a global one

- source_function – source an extra function file

- csg_banner – print a big banner

- csg_calc – simple calculator, a + b, …

- show_csg_tables – show all concatinated csg tables

- get_command_from_csg_tables – print the name of script belonging to certain tags (1st, 2nd argument)

- source_wrapper – print the full name of a script belonging to two tags (1st, 2nd argument)

- find_in_csgshare – find a script in csg script search path

- enable_logging – enables the logging to a certain file (1st argument) or the logfile taken from the xml file

- get_restart_file – print the name of the restart file to use

- check_for_obsolete_xml_options – check xml file for obsolete options

- command_not_found_handle – print and error message if a command or a function was not found

# functions_dlpoly.sh

## NAME

csg_call functions dlpoly - Part of the VOTCA package

## SYNOPSIS

csg_call functions dlpoly [OPTIONS]

csg_call functions dlpoly [–help]

## DESCRIPTION

Useful functions for the generic simulation program: * simulation_finish – checks if simulation is finished * checkpoint_exist – check if a checkpoint exists (REVIVE _and_ REVCON - both are needed!) * get_simulation_setting – gets parameter a parameter from the settings file (1st argument) from simulation setting file (not implemented)

# functions_genericsim.sh

## NAME

csg_call functions espresso - Part of the VOTCA package

## SYNOPSIS

csg_call functions espresso [OPTIONS]

csg_call functions espresso [–help]

## DESCRIPTION

Useful functions for the generic simulation program: * simulation_finish – checks if simulation is finished * checkpoint_exist – check if a checkpoint exists (not implemented) * get_simulation_setting – gets parameter a parameter from the settings file (1st argument) from simulation setting file (not implemented)

# functions_gromacs.sh

## NAME

csg_call functions gromacs - Part of the VOTCA package

## SYNOPSIS

csg_call functions gromacs [OPTIONS]

csg_call functions gromacs [–help]

## DESCRIPTION

Useful functions for gromacs: * get_simulation_setting – gets a parameter (1st argument) from gromacs mdp file (default 2nd parameter) * check_temp – compares k_B T in xml with temp in mpd file * simulation_finish – checks if simulation is finished * checkpoint_exist – check if a checkpoint exists * calc_begin_time – return the max of dt*frames and eqtime * calc_end_time – return dt * nsteps * gromacs_log – redirect stdin to a separate gromacs log file, 1st argument can be the name of the command to echo if redirection takes place

Used external packages: gromacs

# iie.py

## NAME

csg_call update iie_pot - Part of the VOTCA package

## SYNOPSIS

csg_call update iie_pot [OPTIONS]

csg_call update iie_pot [–help]

## DESCRIPTION

Calculate U or ΔU with Integral Equations.

## OPTIONS

    positional arguments:

      {potential_guess,newton,newton-mod,gauss-newton}
        potential_guess     potential guess from inverting integral equation
        newton              potential update using Newton method
        newton-mod          potential update using a modified Newton method
        gauss-newton        potential update using Gauss-Newton method

    options:

      -h, --help            show this help message and exit

# imc_stat_generic.sh

## NAME

csg_call imc_stat gromacs - Part of the VOTCA package

## SYNOPSIS

csg_call imc_stat gromacs [OPTIONS]

csg_call imc_stat gromacs [–help]

Usage: csg_call [OPTIONS] imc_stat gromacs

## DESCRIPTION

This script implemtents statistical analysis for the Inverse Monte Carlo Method using generic csg tools (csg_stat)

# initialize_step_generic.sh

## NAME

csg_call initstep ibi - Part of the VOTCA package

## SYNOPSIS

csg_call initstep ibi [OPTIONS]

csg_call initstep ibi [–help]

Usage: csg_call [OPTIONS] initstep ibi

## DESCRIPTION

This script implements the initialization for every step in a generic way

# initialize_step_genericsim.sh

## NAME

csg_call initstep gromacs - Part of the VOTCA package

## SYNOPSIS

csg_call initstep gromacs [OPTIONS]

csg_call initstep gromacs [–help]

Usage: csg_call [OPTIONS] initstep gromacs

## DESCRIPTION

This script initializes an iteration for the generic simulation program

# initialize_step_optimizer.sh

## NAME

csg_call initstep optimizer - Part of the VOTCA package

## SYNOPSIS

csg_call initstep optimizer [OPTIONS]

csg_call initstep optimizer [–help]

Usage: csg_call [OPTIONS] initstep optimizer

## DESCRIPTION

This script implements the initialization for every step in a generic way

# initialize_step_re.sh

## NAME

csg_call initstep re - Part of the VOTCA package

## SYNOPSIS

csg_call initstep re [OPTIONS]

csg_call initstep re [–help]

Usage: csg_call [OPTIONS] initstep re

## DESCRIPTION

This script implements the initialization for every step of relative entropy method by csg_reupdate program

# inverse.sh

## NAME

csg_call csg master - Part of the VOTCA package

## SYNOPSIS

csg_call csg master [OPTIONS]

csg_call csg master [–help]

Usage: csg_call [OPTIONS] csg master [OPTIONS] –options settings.xml [clean]

## DESCRIPTION

Start the script to run ibi, imc, etc. or clean out current dir

## EXAMPLES

    * inverse.sh --options cg.xml
    * inverse.sh -6 --options cg.xml

## OPTIONS

    Allowed options:

    -h, --help                    show this help
    -N, --do-iterations N         only do N iterations (ignoring settings.xml)
        --wall-time SEK           Set wall clock time
        --options FILE            Specify the options xml file to use
        --debug                   enable debug mode with a lot of information
        --nocolor                 disable colors

# kbibi_ramp_correction.pl

## NAME

csg_call kbibi ramp_correction - Part of the VOTCA package

## SYNOPSIS

csg_call kbibi ramp_correction [OPTIONS]

csg_call kbibi ramp_correction [–help]

Usage: csg_call [OPTIONS] kbibi ramp_correction [OPTIONS] kbint target_kbint outfile kBT min:step:max int_start:int_end ramp_factor

## DESCRIPTION

This script calculates Kirkwood-Buff correction as described in: P. Ganguly, D. Mukherji, C. Junghans, N. F. A. van der Vegt, Kirkwood-Buff coarse-grained force fields for aqueous solutions, J. Chem. Theo. Comp., 8, 1802 (2012), doi:10.1021/ct3000958

## OPTIONS

    Allowed options:

    -h, --help            Show this help message

# lj_126.pl

## NAME

csg_call compute_lj 12_6 - Part of the VOTCA package

## SYNOPSIS

csg_call compute_lj 12_6 [OPTIONS]

csg_call compute_lj 12_6 [–help]

Usage: csg_call [OPTIONS] compute_lj 12_6 outfile min:step:max C6 C12

## DESCRIPTION

This script calculates the LJ 12-6 potential ‘’$U=C12/r^12 - C6/r^6$’’

# merge_tables.pl

## NAME

csg_call table merge - Part of the VOTCA package

## SYNOPSIS

csg_call table merge [OPTIONS]

csg_call table merge [–help]

Usage: csg_call [OPTIONS] table merge [OPTIONS] <source> <dest> <out>

## DESCRIPTION

Merge two tables

## EXAMPLES

    * merge_tables.pl intable intable2 outtable

## OPTIONS

    Allowed options:

    -v, --version         Print version
    -h, --help            Show this help message
    --withflag            only change entries with specific flag in src
    --noflags             don't copy flags
    --novalues            don't copy values

# optimizer_parameters_to_potential.sh

## NAME

csg_call optimizer parameters_to_potential - Part of the VOTCA package

## SYNOPSIS

csg_call optimizer parameters_to_potential [OPTIONS]

csg_call optimizer parameters_to_potential [–help]

Usage: csg_call [OPTIONS] optimizer parameters_to_potential parametervalues

## DESCRIPTION

This script generates a single potential (.pot.new) out a parameter value string (1st argument)

# optimizer_prepare_state.sh

## NAME

csg_call optimizer prepare_state - Part of the VOTCA package

## SYNOPSIS

csg_call optimizer prepare_state [OPTIONS]

csg_call optimizer prepare_state [–help]

Usage: csg_call [OPTIONS] optimizer prepare_state outputfile

## DESCRIPTION

This script generates the initial state file and puts all in-file together

# optimizer_state_to_mapping.sh

## NAME

csg_call optimizer state_to_mapping - Part of the VOTCA package

## SYNOPSIS

csg_call optimizer state_to_mapping [OPTIONS]

csg_call optimizer state_to_mapping [–help]

Usage: csg_call [OPTIONS] optimizer state_to_mapping input

## DESCRIPTION

This script generates a mapping for the reference mapping from the parameters of the active in input state using the mapping template

# optimizer_state_to_potentials.sh

## NAME

csg_call optimizer state_to_potentials - Part of the VOTCA package

## SYNOPSIS

csg_call optimizer state_to_potentials [OPTIONS]

csg_call optimizer state_to_potentials [–help]

Usage: csg_call [OPTIONS] optimizer state_to_potentials input output

## DESCRIPTION

This script generates potential (.pot.new) for all interactions out the first pending line in the input state file and flags this line active in output state

# optimizer_target_density.sh

## NAME

csg_call optimizer_target density - Part of the VOTCA package

## SYNOPSIS

csg_call optimizer_target density [OPTIONS]

csg_call optimizer_target density [–help]

Usage: csg_call [OPTIONS] optimizer_target density

## DESCRIPTION

Calculated the difference between rdf

# optimizer_target_pressure.sh

## NAME

csg_call optimizer_target pressure - Part of the VOTCA package

## SYNOPSIS

csg_call optimizer_target pressure [OPTIONS]

csg_call optimizer_target pressure [–help]

Usage: csg_call [OPTIONS] optimizer_target pressure

## DESCRIPTION

Calculates the difference current and target pressure

# optimizer_target_rdf.sh

## NAME

csg_call optimizer_target rdf - Part of the VOTCA package

## SYNOPSIS

csg_call optimizer_target rdf [OPTIONS]

csg_call optimizer_target rdf [–help]

Usage: csg_call [OPTIONS] optimizer_target rdf

## DESCRIPTION

Calculated the difference between rdf

# post_add.sh

## NAME

csg_call post add - Part of the VOTCA package

## SYNOPSIS

csg_call post add [OPTIONS]

csg_call post add [–help]

Usage: csg_call [OPTIONS] post add

## DESCRIPTION

This script makes all the post update

# post_add_single.sh

## NAME

csg_call post add_single - Part of the VOTCA package

## SYNOPSIS

csg_call post add_single [OPTIONS]

csg_call post add_single [–help]

Usage: csg_call [OPTIONS] post add_single

## DESCRIPTION

This script makes all the post update with backup for single pairs

# post_update_generic.sh

## NAME

csg_call post_update ibi - Part of the VOTCA package

## SYNOPSIS

csg_call post_update ibi [OPTIONS]

csg_call post_update ibi [–help]

Usage: csg_call [OPTIONS] post_update ibi

## DESCRIPTION

This script makes all the post update

# post_update_generic_single.sh

## NAME

csg_call post_update_single ibi - Part of the VOTCA package

## SYNOPSIS

csg_call post_update_single ibi [OPTIONS]

csg_call post_update_single ibi [–help]

Usage: csg_call [OPTIONS] post_update_single ibi

## DESCRIPTION

This script makes all the post update with backup for single pairs incl. backups

# post_update_re_single.sh

## NAME

csg_call post_update_single re - Part of the VOTCA package

## SYNOPSIS

csg_call post_update_single re [OPTIONS]

csg_call post_update_single re [–help]

Usage: csg_call [OPTIONS] post_update_single re

## DESCRIPTION

This script makes all the post update with backup for single pairs incl. backups

# postadd_acc_convergence.sh

## NAME

csg_call postadd acc_convergence - Part of the VOTCA package

## SYNOPSIS

csg_call postadd acc_convergence [OPTIONS]

csg_call postadd acc_convergence [–help]

Usage: csg_call [OPTIONS] postadd acc_convergence infile outfile

## DESCRIPTION

postadd accumulate convergence script: accumulate ${name}.conv of all steps

# postadd_average.sh

## NAME

csg_call postadd average - Part of the VOTCA package

## SYNOPSIS

csg_call postadd average [OPTIONS]

csg_call postadd average [–help]

Usage: postadd_average.sh

## DESCRIPTION

postadd average script, calcs averages of (${name}.DIST.cur) for the past few steps and saves it to ${name}.DIST.avg DIST can be specified by average.what option

# postadd_compress.sh

## NAME

csg_call postadd compress - Part of the VOTCA package

## SYNOPSIS

csg_call postadd compress [OPTIONS]

csg_call postadd compress [–help]

Usage: csg_call [OPTIONS] postadd compress

## DESCRIPTION

postadd compress script, compresses files

# postadd_convergence.sh

## NAME

csg_call postadd convergence - Part of the VOTCA package

## SYNOPSIS

csg_call postadd convergence [OPTIONS]

csg_call postadd convergence [–help]

Usage: postadd_convergence.sh

## DESCRIPTION

postadd convergence script, calcs norm of error (${name}.DIST.BASE-${name}.DIST.new) and saves it to ${name}.conv. DIST stands for ‘dist’, but can be changed by onvergence.what option

# postadd_copyback.sh

## NAME

csg_call postadd copyback - Part of the VOTCA package

## SYNOPSIS

csg_call postadd copyback [OPTIONS]

csg_call postadd copyback [–help]

Usage: csg_call [OPTIONS] postadd copyback

## DESCRIPTION

postadd copyback script, copies files back to the maindir

# postadd_dummy.sh

## NAME

csg_call postupd dummy - Part of the VOTCA package

## SYNOPSIS

csg_call postupd dummy [OPTIONS]

csg_call postupd dummy [–help]

Usage: csg_call [OPTIONS] postupd dummy infile outfile

## DESCRIPTION

postadd dummy script (cp infile to outfile), useful to overwrite default by nothing

# postadd_overwrite.sh

## NAME

csg_call postadd overwrite - Part of the VOTCA package

## SYNOPSIS

csg_call postadd overwrite [OPTIONS]

csg_call postadd overwrite [–help]

Usage: csg_call [OPTIONS] postadd overwrite infile outfile

## DESCRIPTION

postadd overwrite script, overwrites potential of all other interactions with this one

# postadd_plot.sh

## NAME

csg_call postadd plot - Part of the VOTCA package

## SYNOPSIS

csg_call postadd plot [OPTIONS]

csg_call postadd plot [–help]

Usage: csg_call [OPTIONS] postadd plot

## DESCRIPTION

postadd plot script, send a certain plot script to gnuplot

Used external packages: gnuplot

# postadd_shift.sh

## NAME

csg_call postupd shift - Part of the VOTCA package

## SYNOPSIS

csg_call postupd shift [OPTIONS]

csg_call postupd shift [–help]

Usage: csg_call [OPTIONS] postupd shift infile outfile

## DESCRIPTION

postadd shift script, shift pot and dpot

# postadd_smooth_at_cut_off.sh

## NAME

csg_call postadd smooth_at_cut_off - Part of the VOTCA package

## SYNOPSIS

csg_call postadd smooth_at_cut_off [OPTIONS]

csg_call postadd smooth_at_cut_off [–help]

Usage: csg_call [OPTIONS] postadd smooth_at_cut_off infile outfile

## DESCRIPTION

This script implements smoothing of the potential (.pot) at the cut off

# postupd_addlj.sh

## NAME

csg_call postupd lj - Part of the VOTCA package

## SYNOPSIS

csg_call postupd lj [OPTIONS]

csg_call postupd lj [–help]

Usage: csg_call [OPTIONS] postupd lj infile outfile

## DESCRIPTION

This script adds LJ 12-6 component to the CG potential

# postupd_cibi_correction.sh

## NAME

csg_call postupd cibi - Part of the VOTCA package

## SYNOPSIS

csg_call postupd cibi [OPTIONS]

csg_call postupd cibi [–help]

Usage: csg_call [OPTIONS] postupd cibi infile outfile

## DESCRIPTION

This script implemtents the post update routine for the integral Kirkwood-Buff corrections described in: T. E. de Oliveira, P. A. Netz, K. Kremer, C. Junghans, and D. Mukherji, C-IBI: Targeting cumulative coordination within an iterative protocol to derive coarse-grained models of (multi-component) complex fluids, J. Chem. Phys. (in press).

# postupd_extrapolate.sh

## NAME

csg_call postupd extrapolate - Part of the VOTCA package

## SYNOPSIS

csg_call postupd extrapolate [OPTIONS]

csg_call postupd extrapolate [–help]

Usage: csg_call [OPTIONS] postupd extrapolate infile outfile

## DESCRIPTION

This script implements extrapolation undefined region of the potential update (.dpot)

# postupd_ibi.sh

## NAME

csg_call postupd ibi - Part of the VOTCA package

## SYNOPSIS

csg_call postupd ibi [OPTIONS]

csg_call postupd ibi [–help]

Usage: csg_call [OPTIONS] postupd ibi infile outfile

## DESCRIPTION

This script implemtents the function post update with the Inverse Boltzmann Method. This one is not like other post update methods in that the infile is ignored.

# postupd_kbibi_correction.sh

## NAME

csg_call postupd kbibi - Part of the VOTCA package

## SYNOPSIS

csg_call postupd kbibi [OPTIONS]

csg_call postupd kbibi [–help]

Usage: csg_call [OPTIONS] postupd kbibi infile outfile

## DESCRIPTION

This script implemtents the post update routine for the ramp Kirkwood-Buff corrections as described in: P. Ganguly, D. Mukherji, C. Junghans, N. F. A. van der Vegt, Kirkwood-Buff coarse-grained force fields for aqueous solutions, J. Chem. Theo. Comp., 8, 1802 (2012), doi:10.1021/ct3000958

# postupd_pressure.sh

## NAME

csg_call postupd pressure - Part of the VOTCA package

## SYNOPSIS

csg_call postupd pressure [OPTIONS]

csg_call postupd pressure [–help]

Usage: csg_call [OPTIONS] postupd pressure infile outfile

## DESCRIPTION

This script implements the pressure update

# postupd_scale.sh

## NAME

csg_call postupd scale - Part of the VOTCA package

## SYNOPSIS

csg_call postupd scale [OPTIONS]

csg_call postupd scale [–help]

Usage: csg_call [OPTIONS] postupd scale infile outfile

## DESCRIPTION

This script implements scaling of the potential update (.dpot)

# postupd_smooth.sh

## NAME

csg_call postupd smooth - Part of the VOTCA package

## SYNOPSIS

csg_call postupd smooth [OPTIONS]

csg_call postupd smooth [–help]

Usage: csg_call [OPTIONS] postupd smooth infile outfile

## DESCRIPTION

This script implements smoothing of the potential update (.dpot)

# postupd_splinesmooth.sh

## NAME

csg_call postupd splinesmooth - Part of the VOTCA package

## SYNOPSIS

csg_call postupd splinesmooth [OPTIONS]

csg_call postupd splinesmooth [–help]

Usage: csg_call [OPTIONS] postupd splinesmooth infile outfile

## DESCRIPTION

This script implements smoothing of the potential update (.dpot)

# potential_extrapolate.sh

## NAME

csg_call potential extrapolate - Part of the VOTCA package

## SYNOPSIS

csg_call potential extrapolate [OPTIONS]

csg_call potential extrapolate [–help]

Usage: csg_call [OPTIONS] potential extrapolate [options] input output

## DESCRIPTION

This script extrapolates a potential in the correct way depending on its type.

## OPTIONS

    Allowed options:

        --help                    show this help
        --clean                   remove all intermediate temp files
        --type TYPE               type of the potential
                                  possible: non-bonded bond angle dihedral
        --lfct FCT                type of the left extrapolation function
                                  possible:
                                  default: exponential(non-bonded), linear (bonded)
        --rfct FCT                type of the right extrapolation function
                                  possible: constant linear quadratic exponential sasha
                                  default: constant(non-bonded), periodic(dihedral), linear (bonded)
        --avg-points INT          number of average points
                                  default: 3

# potential_shift.pl

## NAME

csg_call potential shift - Part of the VOTCA package

## SYNOPSIS

csg_call potential shift [OPTIONS]

csg_call potential shift [–help]

Usage: csg_call [OPTIONS] potential shift [OPTIONS] <in> <out>

## DESCRIPTION

This script shifts the whole potential by minimum (bonded potentials) or last value (non-bonded potentials).

## EXAMPLES

    * potential_shift.pl --type bond table.in table.out

## OPTIONS

    Allowed options:

    -h, --help            show this help message
    --type XXX            change the type of potential
                          Default: non-bonded

    Possible types: non-bonded, bond, angle, dihedral, bonded

# potential_to_dlpoly.sh

## NAME

csg_call convert_potential dlpoly - Part of the VOTCA package

## SYNOPSIS

csg_call convert_potential dlpoly [OPTIONS]

csg_call convert_potential dlpoly [–help]

Usage: csg_call [OPTIONS] convert_potential dlpoly

## DESCRIPTION

This script is a high class wrapper to convert a potential to the dlpoly format

# potential_to_generic.sh

## NAME

csg_call convert_potential espresso - Part of the VOTCA package

## SYNOPSIS

csg_call convert_potential espresso [OPTIONS]

csg_call convert_potential espresso [–help]

Usage: csg_call [OPTIONS] convert_potential espresso

## DESCRIPTION

This script is a high class wrapper to convert a potential to the generic 3 column tab format used by espresso and espressopp

# potential_to_gromacs.sh

## NAME

csg_call convert_potential gromacs - Part of the VOTCA package

## SYNOPSIS

csg_call convert_potential gromacs [OPTIONS]

csg_call convert_potential gromacs [–help]

Usage: csg_call [OPTIONS] convert_potential gromacs [options] input output

## DESCRIPTION

This script is a wrapper to convert a potential to gromacs

## OPTIONS

    Allowed options:

        --help       show this help
        --clean      remove all intermediate temp files
        --no-r2d     do not converts rad to degree (scale x axis with 180/3.1415)
                     for angle and dihedral
                     Note: VOTCA calcs in rad, but gromacs in degree
        --no-shift   do not shift the potential
        --step XXX   use XXX as step for the interaction

# potential_to_lammps.sh

## NAME

csg_call convert_potential lammps - Part of the VOTCA package

## SYNOPSIS

csg_call convert_potential lammps [OPTIONS]

csg_call convert_potential lammps [–help]

Usage: csg_call [OPTIONS] convert_potential lammps [options] input output

## DESCRIPTION

This script is a high class wrapper to convert a potential to the lammps format

## OPTIONS

    Allowed options:

        --help       show this help
        --clean      remove all intermediate temp files
        --no-r2d     do not converts rad to degree (scale x axis with 180/3.1415)
                     for angle interactions
                     Note: VOTCA calcs in rad, but lammps uses degrees for angle
        --no-shift   do not shift the potential

# potentials_to_dlpoly.sh

## NAME

csg_call convert_potentials dlpoly - Part of the VOTCA package

## SYNOPSIS

csg_call convert_potentials dlpoly [OPTIONS]

csg_call convert_potentials dlpoly [–help]

Usage: csg_call [OPTIONS] convert_potentials dlpoly

## DESCRIPTION

This script converts all potentials to the format needed by dlpoly

# potentials_to_generic.sh

## NAME

csg_call convert_potentials gromacs - Part of the VOTCA package

## SYNOPSIS

csg_call convert_potentials gromacs [OPTIONS]

csg_call convert_potentials gromacs [–help]

Usage: csg_call [OPTIONS] convert_potentials gromacs

## DESCRIPTION

This script converts all potentials to the format needed by the simulation program

# pre_update_re.sh

## NAME

csg_call pre_update re - Part of the VOTCA package

## SYNOPSIS

csg_call pre_update re [OPTIONS]

csg_call pre_update re [–help]

Usage: csg_call [OPTIONS] pre_update re

## DESCRIPTION

This script implements the pre update tasks for the Relative Entropy Method

# prepare_generic.sh

## NAME

csg_call prepare ibi - Part of the VOTCA package

## SYNOPSIS

csg_call prepare ibi [OPTIONS]

csg_call prepare ibi [–help]

Usage: csg_call [OPTIONS] prepare ibi

## DESCRIPTION

This script prepares potentials in a generic way

# prepare_generic_single.sh

## NAME

csg_call prepare_single ibi - Part of the VOTCA package

## SYNOPSIS

csg_call prepare_single ibi [OPTIONS]

csg_call prepare_single ibi [–help]

Usage: csg_call [OPTIONS] prepare_single ibi [–help] [–use-table|–use-bi]”

## DESCRIPTION

This script prepares the potential in step 0, using pot.in or by resampling and inverting the target distribution

Use –use-table or –use-bi to enforce the method. Otherwise it will use .pot.in if present and BI if not.

# prepare_iie.sh

## NAME

csg_call prepare iie - Part of the VOTCA package

## SYNOPSIS

csg_call prepare iie [OPTIONS]

csg_call prepare iie [–help]

Usage: csg_call [OPTIONS] prepare iie

## DESCRIPTION

This script prepares potentials in a generic way

# prepare_imc.sh

## NAME

csg_call prepare imc - Part of the VOTCA package

## SYNOPSIS

csg_call prepare imc [OPTIONS]

csg_call prepare imc [–help]

Usage: csg_call [OPTIONS] prepare imc

## DESCRIPTION

This script initializes potentials for imc

# prepare_optimizer.sh

## NAME

csg_call prepare optimizer - Part of the VOTCA package

## SYNOPSIS

csg_call prepare optimizer [OPTIONS]

csg_call prepare optimizer [–help]

Usage: csg_call [OPTIONS] prepare optimizer

## DESCRIPTION

This script initizalizes potentials for optimizer methods

# prepare_optimizer_single.sh

## NAME

csg_call prepare_single optimizer - Part of the VOTCA package

## SYNOPSIS

csg_call prepare_single optimizer [OPTIONS]

csg_call prepare_single optimizer [–help]

Usage: csg_call [OPTIONS] prepare_single optimizer N

where N is the total number of parameters

## DESCRIPTION

This script - reads sinple interaction optimizer infile - checks if the number of values are enough

# prepare_re.sh

## NAME

csg_call prepare re - Part of the VOTCA package

## SYNOPSIS

csg_call prepare re [OPTIONS]

csg_call prepare re [–help]

Usage: csg_call [OPTIONS] prepare re

## DESCRIPTION

This script implements the preparation of the relative entropy method iteration

# pressure_cor_simple.pl

## NAME

csg_call pressure_cor simple - Part of the VOTCA package

## SYNOPSIS

csg_call pressure_cor simple [OPTIONS]

csg_call pressure_cor simple [–help]

Usage: csg_call [OPTIONS] pressure_cor simple p_cur outfile kBT min:step:max scale p_target

## DESCRIPTION

This script calls the pressure corrections ‘’$dU=A*(1-r/r_c)$’’, where ‘’$A=-0.1k_B T * \max(1,|p_cur-p_target|*scale) * \sign(p_cur-p_target)$’’

# pressure_cor_wjk.pl

## NAME

csg_call pressure_cor wjk - Part of the VOTCA package

## SYNOPSIS

csg_call pressure_cor wjk [OPTIONS]

csg_call pressure_cor wjk [–help]

Usage: csg_call [OPTIONS] pressure_cor wjk p_cur outfile kBT min:step:max scale p_target particle_dens rdf_file

## DESCRIPTION

This script calls the pressure corrections like in Wan, Junghans & Kremer, Euro. Phys. J. E 28, 221 (2009) Basically dU=A*(1-r/r_c) with A= -max(0.1k_B T, Int ) * sign(p_cur-p_target) and Int is the integral from Eq. 7 in the paper.

# resample_target.sh

## NAME

csg_call resample target - Part of the VOTCA package

## SYNOPSIS

csg_call resample target [OPTIONS]

csg_call resample target [–help]

Usage: csg_call [OPTIONS] resample target input output

## DESCRIPTION

This script resamples distribution to grid spacing of the setting xml file and extrapolates if needed

# run_genericsim.sh

## NAME

csg_call run espresso - Part of the VOTCA package

## SYNOPSIS

csg_call run espresso [OPTIONS]

csg_call run espresso [–help]

Usage: csg_call [OPTIONS] run espresso

## DESCRIPTION

This script runs a generic simulation program

# run_gromacs.sh

## NAME

csg_call run gromacs - Part of the VOTCA package

## SYNOPSIS

csg_call run gromacs [OPTIONS]

csg_call run gromacs [–help]

Usage: csg_call [OPTIONS] run gromacs [–pre]

## DESCRIPTION

This script runs a gromacs simulation or pre-simulation

Used external packages: gromacs

# simplex_downhill_processor.pl

## NAME

csg_call simplex precede_state - Part of the VOTCA package

## SYNOPSIS

csg_call simplex precede_state [OPTIONS]

csg_call simplex precede_state [–help]

Usage: csg_call [OPTIONS] simplex precede_state current_state new_state

## DESCRIPTION

Changes a simplex state according to the current state using the Nelder–Mead method or downhill simplex algorithm.

# table_average.sh

## NAME

csg_call table average - Part of the VOTCA package

## SYNOPSIS

csg_call table average [OPTIONS]

csg_call table average [–help]

Usage: csg_call [OPTIONS] table average [options] table1 table2 table3 ….

## DESCRIPTION

This script creates averages tables and also calculates the error.

## EXAMPLES

    * table_average.sh --output CG-CG.dist.new CG-CG*.dist.new

## OPTIONS

    Allowed options:

    -h, --help                    show this help
    -o, --output NANE             output file name
        --cols NUM                Number of columns per file
                                  Default: 3
        --col-y NUM               y-data column
                                  Default: 2
        --col-x NUM               x-data column
                                  Default: 1
        --clean                 Clean intermediate files

# table_change_flag.sh

## NAME

csg_call table change_flag - Part of the VOTCA package

## SYNOPSIS

csg_call table change_flag [OPTIONS]

csg_call table change_flag [–help]

Usage: csg_call [OPTIONS] table change_flag input outfile

## DESCRIPTION

This script changes the flags (col 3) of a table

# table_combine.pl

## NAME

csg_call table compare - Part of the VOTCA package

## SYNOPSIS

csg_call table compare [OPTIONS]

csg_call table compare [–help]

Usage: table_combine.pl [OPTIONS] <in> <in2> <out>

## DESCRIPTION

This script combines two tables with a certain operation

## OPTIONS

    Allowed options:

        --error  ERR      Relative error
                          Default: 1e-05
        --op OP           Operation to perform
                          Possible: =,+,-,*,/,d,d2,x
                        d = |y1-y2|, d2 = (y1-y2)^2, x=* (to avoid shell trouble)
        --sum             Output the sum instead of a new table
        --die             Die if op '=' fails
        --no-flags        Do not check for the flags
        --scale XXX       Scale output/sum with this number
                          Default 1
        --withflag  FL    only operate on entries with specific flag in src
    -h, --help            Show this help message

# table_dummy.sh

## NAME

csg_call table dummy - Part of the VOTCA package

## SYNOPSIS

csg_call table dummy [OPTIONS]

csg_call table dummy [–help]

Usage: csg_call [OPTIONS] table dummy [options] min:step:max outfile

## DESCRIPTION

This script creates a zero table with grid min:step:max using linear interpolation

## OPTIONS

    Allowed options:

        --y1  X.X                 using X.X instead of 0 for the 1st y-value
                                  this creates a linear instead of a constant table
        --y2  X.X                 using X.X instead of 0 for the 2nd y-value
                                  this creates a linear instead of a constant table
        --help                    show this help
        --clean                   remove all intermediate temp files

# table_extrapolate.pl

## NAME

csg_call table extrapolate - Part of the VOTCA package

## SYNOPSIS

csg_call table extrapolate [OPTIONS]

csg_call table extrapolate [–help]

Usage: csg_call [OPTIONS] table extrapolate [OPTIONS] <in> <out>

## DESCRIPTION

This script extrapolates a table

## OPTIONS

    Allowed options:

    --avgpoints A         average over the given number of points to extrapolate: default is 3
    --function            constant, linear, quadratic or exponential, sasha, periodic: default is quadratic
    --no-flagupdate       do not update the flag of the extrapolated values
    --region              left, right, or leftright: default is leftright
    --curvature C         curvature of the quadratic function: default is 10000,
                          makes sense only for quadratic extrapolation, ignored for other cases
    -h, --help            Show this help message

    Extrapolation methods:

     always ''$m = dy/dx= (y[i+A]-y[i])/(x[i+A]-x[i])$''

    - constant:  ''$y = y0$''
    - linear:  ''$y = ax + b\;\;b = - m*x_0 + y_0;;a = m$''
    - sasha: ''$y = a*(x-b)^2\;\;b = (x0 - 2y_0/m)\;\; a = m^2/(4*y_0)$''
    - exponential: ''$y = a*\\exp(b*x)\;\;a = y0*\\exp(-m*x0/y0)\;\;b = m/y_0$''
    - quadratic: ''$y = C*(x+a)^2 + b\;\;a = m/(2*C) - x0\;\; b = y_0 - m^2/(4*C)$''
    - periodic  same as linear, but extrapolates right side to end at first point of left side

# table_functional.sh

## NAME

csg_call table functional - Part of the VOTCA package

## SYNOPSIS

csg_call table functional [OPTIONS]

csg_call table functional [–help]

Usage: csg_call [OPTIONS] table functional [options] output

## DESCRIPTION

This script creates a table with grid min:step:max for the a functional form

## EXAMPLES

    * table_functional.sh --grid 0:0.1:1 --fct x**2 CG-CG.tab.new

## OPTIONS

    Allowed options:

    -h, --help                    show this help
        --grid  XX:XX:XX          Output grid of the table
        --var X=Y                 Set a variable used in the function
        --fct FCT                 functional form of the table
        --headerfile XXX          Extra headerfile for the plot script
                                  (useful for complicated functions)
        --gnuplot CMD             Gnuplot command to use
                                  Default: gnuplot
        --clean                 Clean intermediate files

    Used external packages: gnuplot

# table_get_value.pl

## NAME

csg_call table get_value - Part of the VOTCA package

## SYNOPSIS

csg_call table get_value [OPTIONS]

csg_call table get_value [–help]

Usage: csg_call [OPTIONS] table get_value [OPTIONS] X infile

## DESCRIPTION

This script print the y value of x, which is closest to X.

## OPTIONS

    Allowed options:

    -h, --help            Show this help message

# table_integrate.pl

## NAME

csg_call table integrate - Part of the VOTCA package

## SYNOPSIS

csg_call table integrate [OPTIONS]

csg_call table integrate [–help]

Usage: csg_call [OPTIONS] table integrate [OPTIONS] <in> <out>

## DESCRIPTION

This script calculates the integral of a table. Please note the force is the NEGATIVE integral of the potential (use ‘table linearop’ and multiply the table with -1)

## EXAMPLES

    * table_integrate.pl --with-S --kbT 2.49435 tmp.force tmp.dpot

## OPTIONS

    Allowed options:

        --with-errors     calculate error
        --with-S          Add entropic contribution to force ''$2k_B T/r$''
        --kbT NUMBER      use NUMBER as ''$k_B*T$'' for the entropic part
        --from            Integrate from left or right (to define the zero point)
                          Default: right
        --sphere          Add spherical volume term (''$r^2$'')
    -h, --help            Show this help message

# table_linearop.pl

## NAME

csg_call table linearop - Part of the VOTCA package

## SYNOPSIS

csg_call table linearop [OPTIONS]

csg_call table linearop [–help]

Usage: csg_call [OPTIONS] table linearop [OPTIONS] <in> <out> <a> <b>

## DESCRIPTION

This script performs a linear operation on the y values: ‘’$y_{new} = a*y_{old} + b$’’

## EXAMPLES

    * table_linearop.pl tmp.dpot.cur tmp.dpot.new 1.0 0.0

## OPTIONS

    Allowed options:

    -h, --help            Show this help message
        --withflag  FL    only change entries with specific flag in src
        --with-errors     also read and calculate errors
        --on-x            work on x values instead of y values

# table_scale.pl

## NAME

csg_call table scale - Part of the VOTCA package

## SYNOPSIS

csg_call table scale [OPTIONS]

csg_call table scale [–help]

Usage: csg_call [OPTIONS] table scale [OPTIONS] infile outfile prefactor1 prefactor2

## DESCRIPTION

## OPTIONS

    Allowed options:

    -h, --help            Show this help message

# table_smooth.pl

## NAME

csg_call table smooth - Part of the VOTCA package

## SYNOPSIS

csg_call table smooth [OPTIONS]

csg_call table smooth [–help]

Usage: csg_call [OPTIONS] table smooth infile outfile

## DESCRIPTION

This script smoothes a table

# table_smooth_at_cut_off.py

## NAME

csg_call table smooth_at_cut_off - Part of the VOTCA package

## SYNOPSIS

csg_call table smooth_at_cut_off [OPTIONS]

csg_call table smooth_at_cut_off [–help]

## DESCRIPTION

Smooth the potential close to the cut-off.

## OPTIONS

    positional arguments:

      input              potential input
      output             potential output

    options:

      -h, --help         show this help message and exit
      --cut-off CUT_OFF  cut-off

# table_switch_border.pl

## NAME

csg_call table switch_border - Part of the VOTCA package

## SYNOPSIS

csg_call table switch_border [OPTIONS]

csg_call table switch_border [–help]

Usage: csg_call [OPTIONS] table switch_border infile outfile <x_switch>

## DESCRIPTION

This script applies a switching function to the end of the table to switch it smoothly to zero by y = y*cos( pi*(x-x_switch)/(2*(x_end-x_switch)) )

# table_to_tab.pl

## NAME

csg_call convert_potential tab - Part of the VOTCA package

## SYNOPSIS

csg_call convert_potential tab [OPTIONS]

csg_call convert_potential tab [–help]

Usage: csg_call [OPTIONS] convert_potential tab [OPTIONS] <in> <derivatives_in> <out>

## DESCRIPTION

This script converts csg potential files to the tab format (as read by espresso or lammps or dlpoly).

In addition, it does some magic tricks: - shift the potential, so that it is zero at the cutoff

## EXAMPLES

    * table_to_tab.pl --type non-bonded table.in table_b0.xvg

## OPTIONS

    Allowed options:

    -h, --help            show this help message
    --type XXX            change the type of xvg table
                          Default: non-bonded
    --header XXX          Write a special simulation programm header

# table_to_xvg.pl

## NAME

csg_call convert_potential xvg - Part of the VOTCA package

## SYNOPSIS

csg_call convert_potential xvg [OPTIONS]

csg_call convert_potential xvg [–help]

Usage: csg_call [OPTIONS] convert_potential xvg [OPTIONS] <in> <out>

## DESCRIPTION

This script converts csg potential files to the xvg format.

## EXAMPLES

    * table_to_xvg.pl --type bond table.in table_b0.xvg

## OPTIONS

    Allowed options:

    -h, --help            show this help message
    --type XXX            change the type of xvg table
                          Default: non-bonded
    --max MAX             Replace all pot value bigger MAX by MAX

    Possible types: non-bonded (=C12), bond, C12, C6, CB, angle, dihedral

# tables_jackknife.pl

## NAME

csg_call tables jackknife - Part of the VOTCA package

## SYNOPSIS

csg_call tables jackknife [OPTIONS]

csg_call tables jackknife [–help]

Usage: csg_call [OPTIONS] tables jackknife out full block1 block2 …

## DESCRIPTION

This script calculates the jackknife error from existing tables * full = table calculated with full dataset * blocks = tables calculated with 1 block missing * outfile = file to write results

# tag_file.sh

## NAME

csg_call tag file - Part of the VOTCA package

## SYNOPSIS

csg_call tag file [OPTIONS]

csg_call tag file [–help]

Usage: csg_call [OPTIONS] tag file input output

## DESCRIPTION

Add table_comment to the head of a file

# update_ibi.sh

## NAME

csg_call update ibi - Part of the VOTCA package

## SYNOPSIS

csg_call update ibi [OPTIONS]

csg_call update ibi [–help]

Usage: csg_call [OPTIONS] update ibi

## DESCRIPTION

This script implements the function update for the Inverse Boltzmann Method

# update_ibi_pot.pl

## NAME

csg_call update ibi_pot - Part of the VOTCA package

## SYNOPSIS

csg_call update ibi_pot [OPTIONS]

csg_call update ibi_pot [–help]

Usage: csg_call [OPTIONS] update ibi_pot target_rdf new_rdf cur_pot outfile kBT

## DESCRIPTION

This script calcs dU out of two rdfs with the rules of inverse boltzmann

In addition, it does some magic tricks: - do not update if one of the two rdf is undefined

# update_ibi_single.sh

## NAME

csg_call update ibi_single - Part of the VOTCA package

## SYNOPSIS

csg_call update ibi_single [OPTIONS]

csg_call update ibi_single [–help]

Usage: csg_call [OPTIONS] update ibi_single

## DESCRIPTION

This script implemtents the function update for a single pair for the Inverse Boltzmann Method

# update_iie.sh

## NAME

csg_call update iie - Part of the VOTCA package

## SYNOPSIS

csg_call update iie [OPTIONS]

csg_call update iie [–help]

Usage: csg_call [OPTIONS] update iie

## DESCRIPTION

This script implements the function update for the HNC methods

There is not support for not doing potential updates on some interactions yet. Also no support for per interaction extrapolation.

# update_imc.sh

## NAME

csg_call update imc - Part of the VOTCA package

## SYNOPSIS

csg_call update imc [OPTIONS]

csg_call update imc [–help]

Usage: csg_call [OPTIONS] update imc

## DESCRIPTION

This script implements the function update for the Inverse Monte Carlo Method

# update_imc_single.sh

## NAME

csg_call update imc_single - Part of the VOTCA package

## SYNOPSIS

csg_call update imc_single [OPTIONS]

csg_call update imc_single [–help]

Usage: csg_call [OPTIONS] update imc_single

## DESCRIPTION

This scripts multiplies the dpot tables for each interaction when using IMC by kBT and handles potential update schemes

# update_optimizer.sh

## NAME

csg_call update optimizer - Part of the VOTCA package

## SYNOPSIS

csg_call update optimizer [OPTIONS]

csg_call update optimizer [–help]

Usage: csg_call [OPTIONS] update optimizer

## DESCRIPTION

This script: - implements the update function for each non-bonded interaction - performs optimizer algorithm if no pending parameter sets present - continues with next parameter set in table if otherwise

# update_optimizer_single.sh

## NAME

csg_call update optimizer_single - Part of the VOTCA package

## SYNOPSIS

csg_call update optimizer_single [OPTIONS]

csg_call update optimizer_single [–help]

Usage: csg_call [OPTIONS] update optimizer_single

## DESCRIPTION

This script: - calculates the new property - compares it to the target property and calculates the target function accordingly

# update_re.sh

## NAME

csg_call update re - Part of the VOTCA package

## SYNOPSIS

csg_call update re [OPTIONS]

csg_call update re [–help]

Usage: csg_call [OPTIONS] update re

## DESCRIPTION

This script implements update step of relative entropy method by csg_reupdate program